<?php

$args = array(
		'image'=>'',	
		'link_url'=>'#0',	
		'link_target'=>'',	
);

extract(shortcode_atts($args, $atts));

$html = '';

	if(is_numeric($image)) {
		$bauen_image = wp_get_attachment_url( $image );
		$bauen_title = get_the_title( $image );
	} else {
		$bauen_image = $image;
		$bauen_title = $image;
	}	
	
    $html .= '<div class="clients-logo">';
		if($link_url != '') {	
			$html .='<a href="'.esc_url($link_url).'"';
				if($link_target != '') { $html .='target="'.esc_attr($link_target).'"';}						
			$html .='>';
		}		    
			if(is_numeric($image)) {		
				$html .= '<img src="'.esc_url($bauen_image).'" alt="'.esc_attr($bauen_title).'" />';
			}		
		if($link_url != '') {
			$html .='</a>';
		}
    $html .= '</div>';

echo $html;